Commit ef761359 authored by Benni Mack's avatar Benni Mack
Browse files

[TASK] Add support for PHP 8.1 functions

This change adds the symfony/polyfill-php81
package as dependency.

In addition, EXT:form does not explicitly
depend on symfony/polyfill-php80 anymore,
as this is not needed, since EXT:core
handles this dependency directly.

Used composer commands:

> composer req symfony/polyfill-php81
> composer req symfony/polyfill-php81 -d typo3/sysext/core --no-update
> composer remove symfony/polyfill-php80 -d typo3/sysext/form

Resolves: #95666
Releases: master
Change-Id: Ib7553478167af36f1bf4c4da17fd225abf466c05
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/71809


Tested-by: Oliver Hader's avatarOliver Hader <oliver.hader@typo3.org>
Tested-by: core-ci's avatarcore-ci <typo3@b13.com>
Tested-by: Benni Mack's avatarBenni Mack <benni@typo3.org>
Reviewed-by: Oliver Hader's avatarOliver Hader <oliver.hader@typo3.org>
Reviewed-by: Benni Mack's avatarBenni Mack <benni@typo3.org>
parent e565c254
......@@ -4,7 +4,7 @@
"Read more about it at https://getcomposer.org/doc/01-basic-usage.md#installing-dependencies",
"This file is @generated automatically"
],
"content-hash": "6e1431a1af14d0a852ad6e6992d9b234",
"content-hash": "70d69da457e1c400c7862da5710a33b1",
"packages": [
{
"name": "bacon/bacon-qr-code",
......
......@@ -65,6 +65,7 @@
"symfony/polyfill-intl-normalizer": "^1.22",
"symfony/polyfill-mbstring": "^1.16",
"symfony/polyfill-php80": "^1.23.1",
"symfony/polyfill-php81": "^1.23",
"symfony/rate-limiter": "^5.3",
"symfony/routing": "^5.3.0",
"symfony/yaml": "^5.3.0",
......
......@@ -21,7 +21,6 @@
"require": {
"psr/http-message": "^1.0",
"symfony/expression-language": "^5.3.0",
"symfony/polyfill-php80": "^1.23.1",
"typo3/cms-core": "11.5.*@dev"
},
"suggest": {
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment